summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-emulation/mupen64plus-core')
-rw-r--r--games-emulation/mupen64plus-core/Manifest1
-rw-r--r--games-emulation/mupen64plus-core/metadata.xml2
-rw-r--r--games-emulation/mupen64plus-core/mupen64plus-core-2.5.ebuild112
3 files changed, 115 insertions, 0 deletions
diff --git a/games-emulation/mupen64plus-core/Manifest b/games-emulation/mupen64plus-core/Manifest
index 19006ccfa9e..4a2a712aa45 100644
--- a/games-emulation/mupen64plus-core/Manifest
+++ b/games-emulation/mupen64plus-core/Manifest
@@ -1 +1,2 @@
DIST mupen64plus-core-src-2.0.tar.gz 1127862 SHA256 7e98795dbe4646b858919078f58a6ed94f7cfa30867df6cf44ef33da6aaa7a28 SHA512 6f7391536c23b465af737b3b64f3488bc0275c472e27f97f1d8be61e917c6772cad2c747db8ffa251ba88ba4f4c0d29de2451325f3ea4bcc6049534ef1dac41e WHIRLPOOL c32c97071d911696c9b24a931287ba7da1bdb29434300d984926a2a1b0541660022b6a811f616e8ed18de8d59fdafd168a571b248165c950d80f4e045e25aa53
+DIST mupen64plus-core-src-2.5.tar.gz 895890 SHA256 59e99a79e7f862517232e3115bd1f72377e3e34da795c118ba617c478c839578 SHA512 1bf643798de4f17e2ce4f2a67dfd242a8b24d873c413b49cbcb280e4264131222e3f3bc02c46111868102b0b5174d117ababceab66551cb38b76b22b3a94f697 WHIRLPOOL 3ea76e1bd914c9f8f2857976df7ab1ee6cc8d41e7b34f2fc832e0f4030b139b702b0295fca157f475b90245dbfe93aaab05ec5677cd676010b69af873b5f8840
diff --git a/games-emulation/mupen64plus-core/metadata.xml b/games-emulation/mupen64plus-core/metadata.xml
index c2134731fe1..8345dfe1e7d 100644
--- a/games-emulation/mupen64plus-core/metadata.xml
+++ b/games-emulation/mupen64plus-core/metadata.xml
@@ -10,6 +10,8 @@
<name>Christian Birchinger</name>
</maintainer>
<use>
+ <flag name="debugger">Build the debugger</flag>
+ <flag name="gles2">Use GLES2 instead of OpenGL</flag>
<flag name="new-dynarec">Enable new experimental dynamic recompiler implementation (only for x86 and arm)</flag>
<flag name="osd">Overlay emulator messages using on-screen-display</flag>
</use>
diff --git a/games-emulation/mupen64plus-core/mupen64plus-core-2.5.ebuild b/games-emulation/mupen64plus-core/mupen64plus-core-2.5.ebuild
new file mode 100644
index 00000000000..a279007f224
--- /dev/null
+++ b/games-emulation/mupen64plus-core/mupen64plus-core-2.5.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+MY_P=${PN}-src-${PV}
+inherit eutils multilib toolchain-funcs
+
+DESCRIPTION="A fork of Mupen64 Nintendo 64 emulator, core library"
+HOMEPAGE="http://www.mupen64plus.org/"
+SRC_URI="https://github.com/mupen64plus/${PN}/releases/download/${PV}/${MY_P}.tar.gz"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0/2-sdl2"
+KEYWORDS="~amd64 ~x86"
+IUSE="debugger gles2 lirc new-dynarec +osd cpu_flags_x86_sse"
+
+RDEPEND="media-libs/libpng:0=
+ media-libs/libsdl2:0=[joystick,opengl,video]
+ sys-libs/zlib:0=[minizip]
+ lirc? ( app-misc/lirc:0 )
+ osd? (
+ media-fonts/ttf-bitstream-vera
+ media-libs/freetype:2=
+ virtual/opengl:0=
+ virtual/glu:0=
+ )
+ !<games-emulation/mupen64plus-2.0"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+# block versions using SDL1
+RDEPEND="${RDEPEND}
+ !<games-emulation/m64py-0.2.3-r1
+ !<games-emulation/mupen64plus-audio-sdl-2.5
+ !<games-emulation/mupen64plus-input-sdl-2.5
+ !<games-emulation/mupen64plus-ui-console-2.5
+ !<games-emulation/mupen64plus-video-glide64mk2-2.5
+ !<games-emulation/mupen64plus-video-rice-2.5"
+
+REQUIRED_USE="gles2? ( !osd )"
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ epatch_user
+
+ # avoid implicitly appending CPU flags
+ sed -i -e 's:-mmmx::g' -e 's:-msse::g' projects/unix/Makefile || die
+}
+
+src_compile() {
+ MAKEARGS=(
+ # Note: please keep this in sync in all of mupen64plus-* packages
+
+ -C projects/unix
+
+ # this basically means: GNU userspace
+ UNAME=Linux
+
+ # verbose output
+ V=1
+
+ CROSS_COMPILE="${CHOST}-"
+ CC="$(tc-getCC)"
+ CXX="$(tc-getCXX)"
+ PKG_CONFIG="$(tc-getPKG_CONFIG)"
+ # usual CFLAGS, CXXFLAGS and LDFLAGS are respected
+ # so we can leave OPTFLAGS empty
+ OPTFLAGS=
+
+ # paths, some of them are used at compile time
+ PREFIX=/usr
+ LIBDIR=/usr/$(get_libdir)
+
+ # disable unwanted magic
+ LDCONFIG=:
+ INSTALL_STRIP_FLAG=
+
+ # Package-specific stuff
+
+ # CROSS_COMPILE causes it to look for ${CHOST}-sdl2-config...
+ SDL_CFLAGS="$($(tc-getPKG_CONFIG) --cflags sdl2)"
+ SDL_LDLIBS="$($(tc-getPKG_CONFIG) --libs sdl2)"
+
+ OSD=$(usex osd 1 0)
+ NO_ASM=$(usex cpu_flags_x86_sse 0 1)
+ LIRC=$(usex lirc 1 0)
+ DEBUGGER=$(usex debugger 1 0)
+ NEW_DYNAREC=$(usex new-dynarec 1 0)
+ USE_GLES=$(usex gles2 1 0)
+ )
+
+ use amd64 && MAKEARGS+=( HOST_CPU=x86_64 )
+ use x86 && MAKEARGS+=( HOST_CPU=i386 )
+
+ emake "${MAKEARGS[@]}" all
+}
+
+src_install() {
+ emake "${MAKEARGS[@]}" DESTDIR="${D}" install
+ einstalldocs
+ dodoc -r doc/{emuwiki-api-doc,new_dynarec.txt}
+
+ # replace bundled font with a symlink
+ # TODO: fix the code to not rely on it
+ local font_path=/usr/share/mupen64plus/font.ttf
+ rm "${D%/}/${font_path}" || die
+ if use osd; then
+ dosym /usr/share/fonts/ttf-bitstream-vera/Vera.ttf "${font_path}"
+ fi
+}